Properties Methods Events Config Options Direct Link

# Class Ext.dd.PanelProxy

Package: | Ext.dd
Defined In: | PanelDD.js
Class: | PanelProxy
Extends: | Object

A custom drag proxy implementation specific to Ext.Panels. This class is primarily used internally for the Panel's drag drop implementation, and should never need to be created directly.

## Config Options

Config Options | Defined By
--- | ---
| insertProxy : Boolean True to insert a placeholder proxy element while dragging the panel, false to drag with no proxy (defaults to true). | PanelProxy

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

PanelProxy( `panel The`, `config Configuration` )
Parameters:

- `The` : panel
  Ext.Panel to proxy for
- `Configuration` : config
  options

Returns:

- void

PanelProxy

getEl() : Element
Gets the proxy's element
Gets the proxy's element
Parameters:

- None.

Returns:

- `Element`
  The proxy's element

PanelProxy

getGhost() : Element
Gets the proxy's ghost element
Gets the proxy's ghost element
Parameters:

- None.

Returns:

- `Element`
  The proxy's ghost element

PanelProxy

getProxy() : Element
Gets the proxy's element
Gets the proxy's element
Parameters:

- None.

Returns:

- `Element`
  The proxy's element

PanelProxy

hide() : void
Hides the proxy
Hides the proxy
Parameters:

- None.

Returns:

- void

PanelProxy

moveProxy( `HTMLElement parentNode`, [`HTMLElement before`] ) : void
Moves the proxy to a different position in the DOM. This is typically called while dragging the Panel to keep the pr...
Moves the proxy to a different position in the DOM. This is typically called while dragging the Panel to keep the proxy sync'd to the Panel's location.
Parameters:

- `parentNode` : HTMLElement
  The proxy's parent DOM node
- `before` : HTMLElement
  (optional) The sibling node before which the proxy should be inserted (defaults to the parent's last child if not specified)

Returns:

- void

PanelProxy

show() : void
Shows the proxy
Shows the proxy
Parameters:

- None.

Returns:

- void

PanelProxy

## Public Events

This class has no public events.